VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Macros | Enumerations
note_expression_synth_controller.h File Reference
`#include "public.sdk/source/vst/vsteditcontroller.h"`
`#include "public.sdk/source/vst/vstnoteexpressiontypes.h"`
`#include "pluginterfaces/vst/ivstmidicontrollers.h"`
`#include "pluginterfaces/vst/ivstmidilearn.h"`
`#include "pluginterfaces/vst/ivstnoteexpression.h"`
`#include "pluginterfaces/vst/ivstphysicalui.h"`
`#include <array>`
`#include <limits>`

## Classes
class | Controller
| Example Note Expression Edit Controller. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::NoteExpressionSynth

## Macros
#define | MAX_VOICES 64
#define | MAX_RELEASE_TIME_SEC 5.0
#define | NUM_FILTER_TYPE 3
#define | NUM_TUNING_RANGE 2

## Enumerations
enum | { kParamReleaseTime, kParamNoiseVolume, kParamSinusVolume, kParamTriangleVolume, kParamSinusDetune, kParamBypassSNA, kParamTriangleSlop, kParamFilterType, kParamFilterFreq, kParamFilterQ, kParamMasterVolume, kParamMasterTuning, kParamVelToLevel, kParamFilterFreqModDepth, kParamTuningRange, kParamActiveVoices, kParamSquareVolume, kNumGlobalParameters }

## Macro Definition Documentation

#define MAX_VOICES 64

#define MAX_RELEASE_TIME_SEC 5.0

#define NUM_FILTER_TYPE 3

#define NUM_TUNING_RANGE 2

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.